Package wx :: Class DateEvent

[frames | no frames]

## Type DateEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        DateEvent

Known Subclasses:
  `CalendarEvent`

This event class holds information about a date change event and is used together with `wx.DatePickerCtrl`. It also serves as a base class for `wx.calendar.CalendarEvent`. Bind these event types with EVT_DATE_CHANGED.

Method Summary
CommandEvent | ``__init__`(self, commandType, winid)` This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.
DateTime | ``GetDate`(self)` Returns the date.
| ``SetDate`(self, date)` Sets the date carried by the event, normally only used by the library internally.

Property Summary
| `Date`: See `GetDate` and `SetDate`
| `thisown`: The membership flag

Method Details

### __init__(self, win, dt, type)
(Constructor)

This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    CommandEvent
  Overrides:
    `wx.CommandEvent.__init__` (inherited documentation)

### GetDate(self)

Returns the date.

  Returns:
    DateTime

### SetDate(self, date)

Sets the date carried by the event, normally only used by the library internally.

  Parameters:
    `date`
    (type=DateTime)

Property Details

### Date

See `GetDate` and `SetDate`

  Get Method:
    `GetDate`(self)
  Set Method:
    `SetDate`(self, date)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:52 2007 | http://epydoc.sf.net